## Easy Mock Contributing Guide

Hi, Thank you for your attention to Easy Mock.

If you are willing to contribute code or provide suggestions for Easy Mock, please make sure to take a moment and read through the following guidelines.

### Issue

- Issues are exclusively for bug reports and feature requests. Other questions may be closed directly.
- Before submitting an issue, please check if similar problems have already been issued.

### Pull Request

- Fork this repository to your own account.
- Commit Messages should conform to [Angular's guidelines](https://github.com/angular/angular/blob/master/CONTRIBUTING.md#-commit-message-guidelines).
- Create a new topic branch to contain your feature, change, or fix.
- Make sure `npm test` passes.
- Rebase before creating a PR to keep commit history clear.
- Make sure PRs are created to `dev` branch instead of `master` branch.
- If you are fixing a bug, please include detailed description of the bug in the PR.

### Code Style

Just comply with the ESLint configuration of [Standard](http://standardjs.com).
